server:
  # 端口
  port: 10099
  servlet:
    # 访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8

# Spring配置
spring:
  # 环境设置
  profiles:
    active: dev
  # 数据源配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: org.postgresql.Driver
    druid:
      url: jdbc:postgresql://${IOC_DB_IP:127.0.0.1}:${IOC_DB_PORT:5433}/ioc?currentSchema=public&stringtype=unspecified&u003fuseUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&serverTimezone=PRC&useSSL=false&tinyInt1isBit=false
      username: ${IOC_DB_USER:postgres}
      password: ${IOC_DB_PASSWORD:SKYversation0816}
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置连接超时时间
      connectTimeout: 30000
      # 配置网络超时时间
      socketTimeout: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      # 控制台设置
      statViewServlet:
        enabled: true
        allow:
        url-pattern: /druid/*
        login-username: iocDbAdmin
        login-password: 123456
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  # redis 配置
  redis:
    host: ${IOC_REDIS_IP:127.0.0.1}
    port: ${IOC_REDIS_PORT:6379}
    database: ${IOC_REDIS_DB:0}
    password: ${IOC_REDIS_PASSWORD:}
  # json 配置
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss

# MyBatis
mybatis-plus:
  # 搜索指定包别名
  type-aliases-package: com.sky.**.entity.domain
  # 配置mapper xml的扫描路径
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  configuration:
    # 字段名驼峰映射
    map-underscore-to-camel-case: true
    # 日志输出
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
  global-config:
    # 启动时logo输出
    banner: false

# PageHelper分页插件
pagehelper:
  helperDialect: postgresql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: false

# 日志配置
logging:
  level:
    com.sky: info

# 自定义配置
sky:
  name: 智慧运营管理中心
